********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### factor2 ###
c
c     Calculates n!!
c
      function factor2(n)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)		

      factor2=1.d0
      do i=1,n,2
         factor2=dble(i)*factor2
      enddo	

      return
      end
